GET
https://api.cryptohopper.com/v1/exchange/{exchange}/markets
Returns all market pairs of an exchange, in the pair format that exchange uses.
No access token needed.
Example request
curl "https://api.cryptohopper.com/v1/exchange/EXCHANGE/markets" \
-H "access-token: YOUR_ACCESS_TOKEN"
const response = await fetch('https://api.cryptohopper.com/v1/exchange/EXCHANGE/markets', {
method: 'GET',
headers: {
"access-token": "YOUR_ACCESS_TOKEN"
}
});
const data = await response.json();
import requests
response = requests.get(
"https://api.cryptohopper.com/v1/exchange/EXCHANGE/markets",
headers={
"access-token": "YOUR_ACCESS_TOKEN"
},
)
data = response.json()
$ch = curl_init('https://api.cryptohopper.com/v1/exchange/EXCHANGE/markets');
curl_setopt_array($ch, [
CURLOPT_CUSTOMREQUEST => 'GET',
CURLOPT_RETURNTRANSFER => true,
CURLOPT_HTTPHEADER => [
'access-token: YOUR_ACCESS_TOKEN',
],
]);
$data = json_decode(curl_exec($ch), true);
Parameters
Path parameters
| Name | Type | Required | Description |
|---|---|---|---|
exchange |
string | Required | Exchange key as returned by Get available exchanges, for example binance or kucoin. Case insensitive. |
Response
{
"data": [
"BTCUSDT",
"ETHBTC"
]
}